/*-------- filter-block--------*/

.c-filter {
	margin: 15px 0;
}

.c-filter__title {
	background: #549523 url(img/filter-title.png) right 15px center no-repeat;
	position: relative;
	line-height: 42px;
	height: 42px;
	padding: 0 15px;
	margin: 0;
	font-size: 18px;
	color: #fff;
	font-weight: 500;
	text-transform: uppercase;
	z-index: 2;
}

.c-filter__main {
	border: 1px solid #C6C6C6;
	margin-top: -1px;
	padding: 0 15px;
	background: #f2f2f2;
}

.c-filter__box {
	padding: 10px 0;
	position: relative;
}

.c-filter__box-head {
	cursor: pointer;
}

.c-filter__box-tail {
	opacity: 0.2;
	position: relative;
	display: inline-block;
	margin-left: 5px;
	border-bottom: 7px solid #000;
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;
	transition: transform 0.3s, opacity 0.3s;
}

:hover > div > .c-filter__box-tail {
	opacity: 1;
}

.is-open > div > .c-filter__box-tail {
	transform: rotate(180deg);
	opacity: 1;
}

.c-filter__box-body {
	overflow: hidden;
	height: 0;
	opacity: 0;
	transition: opacity 0.3s, max-width 0.3s, padding 0.3s;	
	margin: 0 -5px;
	padding-left: 5px;
	padding-right: 5px;
}

.is-open > .c-filter__box-body {
	opacity: 1;
	height: auto;
	padding-top: 15px;
	padding-bottom: 15px;
}

.c-filter__box + .c-filter__box {
	border-top: 1px dashed #c6c6c6;
}

.c-filter__submit {
	margin-bottom: 10px;
}

.c-filter__box-title {
	font-weight: bold;
	display: inline-block;
	position: relative;	
}

.c-filter__wrap-ranger {
	margin: 0 10px 0 5px;
}

.c-filter__ranger {
	width: 100%;
	height: 5px;
	position: relative;
	background: #e3e3e3;
	margin-top: 20px;
	box-shadow: inset 0 0 3px rgba(0,0,0,.17);
}

.c-filter__ranger .ui-slider-range {
	height: 5px;
	position: relative;
	background: #549523;
}

.c-filter__ranger .ui-slider-handle {
	position: absolute;
	width: 15px;
	height: 15px;
	border-radius: 8px;
	background: url(img/ui-slider-handle.png) no-repeat;
	box-shadow: 0 0 8px rgba(0,0,0,.32);
	margin: -10px 0 0 -5px;
}

.c-filter__ranger .ui-slider-handle:focus {
	outline: none;
}

.c-filter__checker + .c-filter__checker{
	margin-top: 15px;
}

.c-filter__checker-input {display: none;}

.c-filter__checker-label {
	display: inline-block;
	position: relative;
	padding-left: 23px;
	font-size: 13px;
	line-height: 12px;
}

.c-filter__checker-label:after {
	content: '';
	width: 12px;
	height: 12px;
	position: absolute;
	left: 0; top: 0;
	background: url(img/radio.png) no-repeat;
}

.c-filter__checker-input:checked + .c-filter__checker-label:after {
	background-position: 0 -12px;
}

.c-filter__checker-label--checkbox:after {
	background: url(img/checkbox.png) no-repeat;
}

.c-filter__caption {
	list-style: none;
}

.c-filter__caption-min {
	float: left;
}

.c-filter__caption-max {
	float: right;
}

.c-filter__submit {
	float: left;
}

.c-filter__cancel {
	float: left;
	margin: 5px 0 0 15px;
}
